<ion-header>
  <ion-toolbar >
    <ion-buttons slot="start" color="johan" >
      <ion-back-button></ion-back-button>
    </ion-buttons>

    <ion-title slot="start" color="johan">Musique</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
<div class="container1" [ngStyle]="{ 'background-image': 'linear-gradient(rgb(0 0 0 /68%), #5a4747c7), url(' + images + ')'}">
      <img  class="imgbox" src="{{images}}" alt="">
  <div *ngFor="let obj of sik" align = "center" class="titre">
    {{obj.auteur}} - {{obj.titre}}
  </div>
</div>
  <div class="container">

  <!-- debut de volume haut bas et muet -->
  <ion-grid fixed>
    <ion-row>
      <ion-col size="4">
        <div align = "left">  
          <ion-button  fill="clear" color="johan"  *ngIf="vol < 0" [disabled]="vol" (click)="volumebas()">
            <ion-icon  name="volume-low-outline"></ion-icon>
          </ion-button>
          <ion-button  fill="clear" color="johan" *ngIf="vol >= 0" (click)="volumebas()">
            <ion-icon  name="volume-low-outline"></ion-icon>
          </ion-button>
        </div>
      </ion-col>
      <ion-col size="4">
          <div align = "center">
            <ion-button  fill="clear" color="johan" (click)="volumeonof()">
              <ion-icon  [name]="soundIcon"></ion-icon>
            </ion-button>
        </div>
      </ion-col>
            <ion-col size="4">
          <div align = "right">
            <ion-button   fill="clear" color="johan" *ngIf="vol < 1" (click)="volumehaut()">
              <ion-icon  name="volume-high-outline"></ion-icon>
            </ion-button>
            <ion-button   fill="clear" color="johan" *ngIf="vol >= 1" [disabled]="vol" (click)="volumehaut()">
              <ion-icon  name="volume-high-outline"></ion-icon>
            </ion-button>
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>
  <!-- fin volume -->

  <!-- debut dure -->
  <ion-grid fixed >
    <ion-row>
      <ion-col size="2">
        <div align = "right">
            <p>{{position*1000 | date: 'mm:ss'}}</p>
        </div>
      </ion-col>
      <ion-col size="8" color="johan">
    <ion-range color="johan"
    min="0" max="{{temprestant_non_convertis}}"
    [(ngModel)]="position"
    color="primary"
    mode="md">
  </ion-range>
      </ion-col>
            <ion-col size="2">
            <div>
              <p>{{temprestant_non_convertis*1000 | date: 'mm:ss' }}</p>
            </div>
      </ion-col>
    </ion-row>
  </ion-grid>
  <!-- fin dure -->

  <!-- debut play pause -->
  <ion-grid fixed>
    <ion-row>
      <ion-col size="1"></ion-col>
      <ion-col size="3">
        <div align = "left">
          <ion-button fill="clear" color="johan" (click)="precedent()">
            <ion-icon slot="icon-only" name="play-back"></ion-icon>
          </ion-button>
        </div>
      </ion-col>
      <ion-col size="4">
          <div align = "center">
              <ion-button (click)="playPause()" shape="round" color="johan">
              <ion-icon slot="icon-only" [name]="playIcon"></ion-icon>
          </ion-button>
        </div>
      </ion-col>
            <ion-col size="3">
          <div align = "right">
            <ion-button fill="clear" color="johan" (click)="suivant()">
              <ion-icon slot="icon-only" name="play-forward"></ion-icon>
            </ion-button>
        </div>
      </ion-col>
      <ion-col size="1"></ion-col>
    </ion-row>
  </ion-grid>
  <!-- fin play pause -->

    <!-- debut de repeter et aleatoire -->
    <ion-grid fixed>
      <ion-row>
        <ion-col size="1">       
        </ion-col>
        <ion-col size="5">
          <div align = "left">
            <ion-button fill="clear" color="johan" (click)="repeat()">
            <ion-icon slot="icon-only" [name]="repIcon"></ion-icon>
            </ion-button>
          </div>
        </ion-col>
        <ion-col size="5">
            <div align = "right">
              <ion-button fill="clear" color="johan">
                <ion-icon slot="icon-only" name="shuffle"></ion-icon>
              </ion-button>
          </div>
        </ion-col>
        <ion-col size="1">       
        </ion-col>
      </ion-row> 
    </ion-grid>
  <!-- fin aleatoire et repeter -->
  </div>


</ion-content>


